Change log for virtualbox package in Ubuntu

175 of 122 results
Published in yakkety-release on 2016-05-23
Deleted in yakkety-proposed (Reason: moved to release)
virtualbox (5.0.20-dfsg-2) unstable; urgency=medium

  [ Guillem Jover ]
  * make LSB init script have more consistent output (Closes: #823086).

  [ Frank Mehnert ]
  * Pass -fno-pie, to avoid build failures with gcc and default pie enabled.
    (LP: #1578424)

  [ Gianfranco Costamagna ]
  * Remove in pdf manual the update section (Closes: #823343)
    - thanks qazwsxedc for the bug report!
  * debian/patches/patch_vbox_5.patch: [DESCRIBE CHANGES HERE]

 -- Gianfranco Costamagna <email address hidden>  Sun, 01 May 2016 20:28:45 +0200
Superseded in yakkety-proposed on 2016-05-21
virtualbox (5.0.20-dfsg-2~build1) yakkety; urgency=medium

  * Upload to yakkety while waiting for the auto sync.

 -- Gianfranco Costamagna <email address hidden>  Fri, 20 May 2016 14:31:33 +0200
Superseded in yakkety-proposed on 2016-05-20
virtualbox (5.0.20-dfsg-1) unstable; urgency=medium

  * New upstream release.
    - drop 99-vboxvideo-module-version.patch,
      fix-guest-failure.patch: upstream.

 -- Gianfranco Costamagna <email address hidden>  Fri, 29 Apr 2016 09:49:35 +0200
Superseded in yakkety-proposed on 2016-04-29
virtualbox (5.0.18-dfsg-3build1) yakkety; urgency=medium

  * No-change rebuild for libgsoap soname change.

 -- Matthias Klose <email address hidden>  Thu, 28 Apr 2016 13:43:08 +0000
Superseded in yakkety-proposed on 2016-04-23
virtualbox (5.0.18-dfsg-2build2) yakkety; urgency=medium

  * No-change rebuild for libpng soname change.

 -- Matthias Klose <email address hidden>  Sat, 23 Apr 2016 00:29:52 +0000
Superseded in yakkety-proposed on 2016-04-28
virtualbox (5.0.18-dfsg-3) unstable; urgency=high

  * d/p/fix-guest-failure.patch
    - fix guest issue causing writes to the disk to fail.

 -- Gianfranco Costamagna <email address hidden>  Wed, 20 Apr 2016 11:04:27 +0200
Deleted in yakkety-release (Reason: lp: #1578424, temporarily demote virtualbox and rdeps)
Published in xenial-release on 2016-04-20
Deleted in xenial-proposed (Reason: moved to release)
virtualbox (5.0.18-dfsg-2build1) xenial; urgency=high

  * d/p/fix-guest-failure.patch
    - fix guest issue causing writes to the disk to fail.
    (lowering the version, to avoid a sync from unstable)

 -- Gianfranco Costamagna <email address hidden>  Wed, 20 Apr 2016 11:04:27 +0200
Superseded in xenial-release on 2016-04-20
Deleted in xenial-proposed on 2016-04-21 (Reason: moved to release)
virtualbox (5.0.18-dfsg-2) unstable; urgency=medium

  [ Adam Conrad ]
  * Add MODULE_VERSION to the vboxvideo driver, so DKMS can find it.

 -- Gianfranco Costamagna <email address hidden>  Tue, 19 Apr 2016 16:45:36 +0200
Superseded in xenial-release on 2016-04-20
Deleted in xenial-proposed on 2016-04-21 (Reason: moved to release)
virtualbox (5.0.18-dfsg-1ubuntu1) xenial; urgency=medium

  * Add MODULE_VERSION to the vboxvideo driver, so DKMS can find it.

 -- Adam Conrad <email address hidden>  Tue, 19 Apr 2016 05:43:26 -0600
Superseded in xenial-release on 2016-04-19
Deleted in xenial-proposed on 2016-04-20 (Reason: moved to release)
virtualbox (5.0.18-dfsg-1) unstable; urgency=medium

  * New upstream release.
    - drop fix-grapphics.patch: upstream
  * Fix insecure VCS fields.
  * Upload to unstable.

 -- Gianfranco Costamagna <email address hidden>  Thu, 14 Apr 2016 18:20:22 +0200

Available diffs

Superseded in xenial-release on 2016-04-19
Deleted in xenial-proposed on 2016-04-20 (Reason: moved to release)
virtualbox (5.0.16-dfsg-3) experimental; urgency=low

  * Build without xorg legacy with the backport of 5.0.17
    code (revision 106564)
  * Bump std-version to 3.9.8, no changes required.
  * Add vbox-img (LP: #1558521).
    - thanks sworddragon for the bug report!

 -- Gianfranco Costamagna <email address hidden>  Tue, 08 Mar 2016 12:53:39 +0100

Available diffs

Superseded in xenial-release on 2016-04-16
Deleted in xenial-proposed on 2016-04-17 (Reason: moved to release)
virtualbox (5.0.16-dfsg-2) unstable; urgency=medium

  * Update copyright year.
  * Install VBoxBugReport too.

 -- Gianfranco Costamagna <email address hidden>  Sat, 05 Mar 2016 17:41:29 +0100
Superseded in xenial-proposed on 2016-03-06
virtualbox (5.0.16-dfsg-1) unstable; urgency=medium

  * New upstream release, patch refresh.
  * Bump std-version to 3.9.7, no changes required.
  * Bump watch file version to 4.

 -- Gianfranco Costamagna <email address hidden>  Sat, 05 Mar 2016 10:54:36 +0100
Superseded in xenial-proposed on 2016-03-06
virtualbox (5.0.14-dfsg-2build2) xenial; urgency=medium

  * Rebuild against the new xserver.

 -- Timo Aaltonen <email address hidden>  Thu, 03 Mar 2016 13:20:17 +0200
Superseded in xenial-release on 2016-03-08
Deleted in xenial-proposed on 2016-03-09 (Reason: moved to release)
virtualbox (5.0.14-dfsg-2build1) xenial; urgency=medium

  * No-change rebuild for gsoap transition.

 -- Matthias Klose <email address hidden>  Mon, 22 Feb 2016 07:23:10 +0000
Superseded in xenial-release on 2016-02-23
Deleted in xenial-proposed on 2016-02-24 (Reason: moved to release)
virtualbox (5.0.14-dfsg-2) unstable; urgency=medium

  [ Michael Biebl ]
  * debian/vboxweb.service: drop wrong/useless ExecStopPost
    keyword: (Closes: #813072)

 -- Gianfranco Costamagna <email address hidden>  Fri, 29 Jan 2016 12:01:48 +0100

Available diffs

Published in vivid-updates on 2016-02-01
Published in vivid-security on 2016-02-01
virtualbox (4.3.36-dfsg-1+deb8u1ubuntu1.15.04.1) vivid-security; urgency=medium

  * Upload to vivid-security (LP: #1538115)

Published in trusty-updates on 2016-02-01
Published in trusty-security on 2016-02-01
virtualbox (4.3.36-dfsg-1+deb8u1ubuntu1.14.04.1) trusty-security; urgency=medium

  * Upload to trusty-security (LP: #1538115)

Published in wily-updates on 2016-02-01
Published in wily-security on 2016-02-01
virtualbox (5.0.14-dfsg-0ubuntu1.15.10.1) wily-security; urgency=medium

  * Upload to wily-security (LP: #1538115)
  * Remove xserver-xorg-legacy runtime dependency, not available on wily.

Superseded in xenial-release on 2016-01-29
Deleted in xenial-proposed on 2016-01-31 (Reason: moved to release)
virtualbox (5.0.14-dfsg-1) unstable; urgency=medium

  * new upstream release.
  * Rework rules file to work also when only guest packages needs to be built.
  * Merge VBox.sh script with upstream, and add procps to runtime dependencies
    thanks Andreas Beckmann <email address hidden> (Closes: #802143)
    -cfr https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=802143#26

 -- Gianfranco Costamagna <email address hidden>  Wed, 20 Jan 2016 10:04:40 +0100

Available diffs

Superseded in xenial-release on 2016-01-21
Deleted in xenial-proposed on 2016-01-22 (Reason: moved to release)
virtualbox (5.0.12-dfsg-2) unstable; urgency=low

  [ Felipe Sateler ]
  * Remove old init script, superceeded by modaliases
    (Closes: #796706)

 -- Gianfranco Costamagna <email address hidden>  Mon, 28 Dec 2015 18:22:57 +0100

Available diffs

Superseded in xenial-release on 2016-01-15
Deleted in xenial-proposed on 2016-01-16 (Reason: moved to release)
virtualbox (5.0.12-dfsg-1) unstable; urgency=medium

  * New upstream release, patch refresh.
    - drop fix-gcc-version.patch: upstream.

 -- Gianfranco Costamagna <email address hidden>  Sat, 19 Dec 2015 10:29:34 +0100

Available diffs

Superseded in xenial-release on 2015-12-20
Deleted in xenial-proposed on 2015-12-21 (Reason: moved to release)
virtualbox (5.0.10-dfsg-7) unstable; urgency=high

  * use "--no-enable" to not enable the service by default.
    (Closes: #807542). A big thanks to Laurent Bigonville!

 -- Gianfranco Costamagna <email address hidden>  Fri, 11 Dec 2015 12:54:05 +0100

Available diffs

Superseded in xenial-release on 2015-12-11
Deleted in xenial-proposed on 2015-12-13 (Reason: moved to release)
virtualbox (5.0.10-dfsg-6) unstable; urgency=medium

  * Do not enable vboxweb.service by default
    (Closes: #807542)

 -- Gianfranco Costamagna <email address hidden>  Thu, 10 Dec 2015 11:21:32 +0100

Available diffs

Superseded in xenial-release on 2015-12-11
Deleted in xenial-proposed on 2015-12-12 (Reason: moved to release)
virtualbox (5.0.10-dfsg-5) unstable; urgency=medium

  * fix-gcc-version.patch: allow gcc-5.3
    (Closes: #807466)

 -- Gianfranco Costamagna <email address hidden>  Wed, 09 Dec 2015 09:26:44 +0100

Available diffs

Superseded in xenial-release on 2015-12-10
Deleted in xenial-proposed on 2015-12-11 (Reason: moved to release)
virtualbox (5.0.10-dfsg-4) unstable; urgency=low

  * Add vboxweb.service from Sérgio Basto
    - thanks algernon for the help :)

 -- Gianfranco Costamagna <email address hidden>  Tue, 24 Nov 2015 11:39:57 +0100

Available diffs

Published in precise-updates on 2015-11-25
Published in precise-security on 2015-11-25
virtualbox (4.1.44-dfsg-1+deb7u1ubuntu1) precise-security; urgency=medium

  * New upstream release. (LP: #1517161)
    - drop patches and rebase with debian wheezy-security upload
    - all CVEs are fixed in the upstream import, drop all the CVE
      patches.
  * Add two patches, to comply with build failures (build and module build)
    - fix-ipv6-build.patch
    - fix-module-build.patch

 -- Gianfranco Costamagna <email address hidden>  Tue, 17 Nov 2015 12:37:21 +0100
Superseded in trusty-updates on 2016-02-01
Superseded in trusty-security on 2016-02-01
virtualbox (4.3.34-dfsg-1+deb8u1ubuntu1.14.04.1) trusty-security; urgency=medium

  * New upstream bugfix release. (LP: #1517161)
    - drop patches and rebase with debian jessie-security upload
    - all CVEs are fixed in the upstream import, drop all the CVE
      patches.

 -- Gianfranco Costamagna <email address hidden>  Tue, 17 Nov 2015 14:44:04 +0100
Superseded in vivid-updates on 2016-02-01
Superseded in vivid-security on 2016-02-01
virtualbox (4.3.34-dfsg-1+deb8u1ubuntu1.15.04.1) vivid-security; urgency=medium

  * New upstream bugfix release. (LP: #1517161)
    - drop patches and rebase with debian jessie-security upload
    - all CVEs are fixed in the upstream import, drop all the CVE
      patches.

 -- Gianfranco Costamagna <email address hidden>  Tue, 17 Nov 2015 14:44:04 +0100
Superseded in wily-updates on 2016-02-01
Superseded in wily-security on 2016-02-01
virtualbox (5.0.10-dfsg-2ubuntu1) wily-security; urgency=medium

  * Update wily to fix CVEs. (LP: #1517161)
  * Drop xserver-xorg-legacy runtime package, it is not needed
    and not available to wily.
  * Fix control file

 -- Gianfranco Costamagna <email address hidden>  Wed, 18 Nov 2015 11:40:37 +0100
Superseded in xenial-release on 2015-12-02
Deleted in xenial-proposed on 2015-12-03 (Reason: moved to release)
virtualbox (5.0.10-dfsg-3) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Fix cgit VCS field
  * Stop overriding dh_builddeb, the new dpkg already defaults to xz.

  [ Gianfranco Costamagna ]
  * add x11-xserver-utils to x11 runtime dependencies, needed for xrandr
    (Closes: #805752). A great thanks to Ross Boylan for digging into the
    issue and reporting the fix!
  * Add a missing Provide of virtualbox-module package
    (and drop the lintian override)
  * Drop old and useless README.Debian for guest-x11 package.
    thanks again Ross Boylan for the fix!

 -- Gianfranco Costamagna <email address hidden>  Wed, 18 Nov 2015 12:30:13 +0100

Available diffs

Superseded in xenial-release on 2015-11-22
Deleted in xenial-proposed on 2015-11-24 (Reason: moved to release)
virtualbox (5.0.10-dfsg-2) unstable; urgency=medium

  * Fix lintian error about malformed override.
  * Bump compat level to 9.

 -- Gianfranco Costamagna <email address hidden>  Fri, 13 Nov 2015 19:36:14 +0100

Available diffs

Superseded in xenial-release on 2015-11-19
Deleted in xenial-proposed on 2015-11-20 (Reason: moved to release)
virtualbox (5.0.10-dfsg-1) unstable; urgency=medium

  * New upstream release, patch refresh.
  * Update watch file, thanks <mattia>!
  * Remove iasl-fix.patch: upstream.

 -- Gianfranco Costamagna <email address hidden>  Wed, 11 Nov 2015 10:29:52 +0100

Available diffs

Deleted in trusty-proposed on 2015-11-26 (Reason: moved to -updates)
virtualbox (4.3.10-dfsg-1ubuntu6) trusty; urgency=medium

  * d/p/39-crash-raw-mode.patch fix crash in raw mode.
    (Closes: #785689, LP: #1456558) from upstream changeset 53083
    thanks Frank for the hint!

 -- Gianfranco Costamagna <email address hidden>  Tue, 19 May 2015 12:38:49 +0200
Superseded in xenial-release on 2015-11-11
Deleted in xenial-proposed on 2015-11-13 (Reason: moved to release)
virtualbox (5.0.8-dfsg-1) unstable; urgency=medium

  * New upstream release, patch refresh.
  * Remove version constraint from virtualbox-modules, because it is a virtual package.
  * Add runtime dependency on xserver-xorg-legacy on virtualbox-guest-x11
    (Closes: #801524)
  * Remove some more vboxdrv references (04-vboxdrv-references.patch)
  * Override missing virtualbox-modules lintian error.

  [ Alexander Eichner]
  * debian/patches/iasl-fix.patch: fix build failure against new iasl 20150930

 -- Gianfranco Costamagna <email address hidden>  Thu, 22 Oct 2015 15:32:44 +0200

Available diffs

Superseded in xenial-release on 2015-11-11
Published in wily-release on 2015-09-11
Deleted in wily-proposed (Reason: moved to release)
virtualbox (5.0.4-dfsg-2) unstable; urgency=medium

  * debian/patches/fix-build.patch: fix i386 build failure.

 -- Gianfranco Costamagna <email address hidden>  Wed, 09 Sep 2015 12:23:13 +0200

Available diffs

Superseded in wily-release on 2015-09-11
Deleted in wily-proposed on 2015-09-12 (Reason: moved to release)
virtualbox (5.0.2-dfsg-2) unstable; urgency=medium

  * d/rules: re-enable VBOX_WITH_VMSVGA and
     VBOX_WITH_VMSVGA3D (Closes: #795531).
     - the CVEs are already fixed
     - this patch makes it build more coherently
       with how upstream builds it.
     - the proper patch should be on upstream changeset 57410
       but we don't need it anymore
  * Disable VBoxDTrace (Closes: #795806)

 -- Gianfranco Costamagna <email address hidden>  Sun, 16 Aug 2015 11:33:47 +0200
Superseded in wily-proposed on 2015-08-18
virtualbox (5.0.2-dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #795424)
  * Patch refresh.
  * Update my uid.
  * d/p/fix-gcc-5.2.patch: allow building with gcc-5.2

 -- Gianfranco Costamagna <email address hidden>  Fri, 14 Aug 2015 15:43:08 +0200
Superseded in wily-release on 2015-08-19
Deleted in wily-proposed on 2015-08-20 (Reason: moved to release)
virtualbox (5.0.0-dfsg-1ubuntu2) wily; urgency=medium

  * debian/patches/38-gcc-5.2.patch: Allow building with GCC 5.2.

 -- Logan Rosen <email address hidden>  Sun, 09 Aug 2015 02:04:43 -0400
Superseded in wily-proposed on 2015-08-09
virtualbox (5.0.0-dfsg-1ubuntu1) wily; urgency=medium

  * Add support for linux 4.2
    37-addlinux-4.2-support.patch

 -- Tim Gardner <email address hidden>  Fri, 07 Aug 2015 09:47:26 -0600
Superseded in wily-proposed on 2015-07-16
virtualbox (4.3.30-dfsg-1) unstable; urgency=medium

  [ Ritesh Raj Sarraf ]
  * Imported upstream release.

  [ Gianfranco Costamagna ]
  * Readd again some removed lintian overrides.
  * virtualbox 4.3.30 builds fine with gcc 5.1, removing the
    gcc-4.9 workaround (d/{rules,control})
  * Update copyright file.
  * Patch refresh.
  * Remove some more windows prebuilt files.
  * Add libnotify-bin as runtime-dependency for the x11 package
    (used for notify-send command) (Closes: #792292)
    - Thanks Torquil Macdonald Sørensen for the useful and complete
      bug report.

 -- Gianfranco Costamagna <email address hidden>  Tue, 14 Jul 2015 15:29:23 +0200
Superseded in wily-release on 2015-08-11
Deleted in wily-proposed on 2015-08-13 (Reason: moved to release)
virtualbox (5.0.0-dfsg-1) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * Imported upstream release (Closes: #792026).
  * Patch refresh.
  * remove obsolete lintian overrides.
  * add some wrongly removed lintian overrides.
  * Add VBoxDTrace not linked against libc lintian override.
    It seems to really not use libc symbols.
  * d/rules: remove VBoxDTraceR0.debug and strip VBoxDTraceR0.r0
    files.
  * d/rules: sed .gc to .rc (following upstream rename change)
  * update d/source.lintian-overrides file.

 -- Gianfranco Costamagna <email address hidden>  Tue, 14 Jul 2015 15:56:17 +0200
Superseded in wily-release on 2015-07-27
Deleted in wily-proposed on 2015-07-28 (Reason: moved to release)
virtualbox (4.3.28-dfsg-1build1) wily; urgency=medium

  * No change rebuild for new libvncserver1

 -- Micah Gersten <email address hidden>  Mon, 01 Jun 2015 23:41:16 -0500
Superseded in wily-release on 2015-06-04
Deleted in wily-proposed on 2015-06-06 (Reason: moved to release)
virtualbox (4.3.28-dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #785655).
    - fix for CVE-2015-3456 a.k.a. VENOM (Closes: #785424)
    - patch refresh.
    - remove d/p/37-diff_smap_4.patch.
  * Remove MAKE=kmk on virtualbox{,-guest}-source.files/rules
    (Closes: #785161).
    Upstream doesn't recommend using kmk to build kernel modules.
    this reverts 63fa6b7b86035b53e8d053b894814eccac9ce595
  * Add gbp.conf file.

 -- Gianfranco Costamagna <email address hidden>  Thu, 14 May 2015 09:36:52 +0200
Superseded in vivid-updates on 2015-11-25
Superseded in vivid-security on 2015-11-25
virtualbox (4.3.26-dfsg-2ubuntu2) vivid-security; urgency=medium

  * d/p/CVE-2015-3456.patch fix for CVE-2015-3456 a.k.a. VENOM
    (Closes: #785424, LP: #1456553)

 -- Gianfranco Costamagna <email address hidden>  Tue, 19 May 2015 12:05:52 +0200
Published in utopic-updates on 2015-05-22
Published in utopic-security on 2015-05-22
virtualbox (4.3.18-dfsg-2ubuntu3) utopic-security; urgency=medium

  * d/p/CVE-2015-3456.patch fix for CVE-2015-3456 a.k.a. VENOM
    (Closes: #785424, LP: #1456553)

 -- Gianfranco Costamagna <email address hidden>  Tue, 19 May 2015 12:08:46 +0200
Superseded in trusty-updates on 2015-11-25
Superseded in trusty-security on 2015-11-25
virtualbox (4.3.10-dfsg-1ubuntu5) trusty-security; urgency=medium

  * d/p/CVE-2015-3456.patch fix for CVE-2015-3456 a.k.a. VENOM
    (Closes: #785424, LP: #1456553)

 -- Gianfranco Costamagna <email address hidden>  Tue, 19 May 2015 12:14:01 +0200
Superseded in precise-updates on 2015-11-25
Superseded in precise-security on 2015-11-25
virtualbox (4.1.12-dfsg-2ubuntu0.10) precise-security; urgency=medium

  * d/p/CVE-2015-3456.patch fix for CVE-2015-3456 a.k.a. VENOM
    (Closes: #785424, LP: #1456553)

 -- Gianfranco Costamagna <email address hidden>  Tue, 19 May 2015 12:15:56 +0200
Superseded in wily-proposed on 2015-05-22
virtualbox (4.3.26-dfsg-3build1) wily; urgency=medium

  * No change rebuild for new libgsoap7

 -- Micah Gersten <email address hidden>  Mon, 18 May 2015 22:07:14 -0500
Superseded in wily-release on 2015-05-29
Deleted in wily-proposed on 2015-05-30 (Reason: moved to release)
virtualbox (4.3.26-dfsg-3) unstable; urgency=medium

  [ Adam Conrad ]
  * Re-work the packaging to account for the kernel modules being shipped in
    the master kernel packages, removing the need for dkms (LP: #1434579):
    - Make the dkms package provide a virtual package matching what the
      kernel packages provide to indicate that they ship the dkms modules.
    - Add an alternate dep from the utils package to the virtual driver.
    - Make the x11 driver package associate with the VGA controller PCI ID.

 -- Gianfranco Costamagna <email address hidden>  Wed, 22 Apr 2015 16:16:23 +0200
Superseded in wily-release on 2015-05-07
Published in vivid-release on 2015-04-22
Deleted in vivid-proposed (Reason: moved to release)
virtualbox (4.3.26-dfsg-2ubuntu1) vivid; urgency=medium

  * Re-work the packaging to account for the kernel modules being shipped in
    the master kernel packages, removing the need for dkms (LP: #1434579):
    - Make the dkms package provide a virtual package matching what the
      kernel packages provide to indicate that they ship the dkms modules.
    - Add an alternate dep from the utils package to the virtual driver.
    - Make the x11 driver package associate with the VGA controller PCI ID.
 -- Adam Conrad <email address hidden>   Wed, 22 Apr 2015 10:01:25 +0100
Superseded in vivid-release on 2015-04-22
Deleted in vivid-proposed on 2015-04-23 (Reason: moved to release)
virtualbox (4.3.26-dfsg-2) experimental; urgency=medium


  [ Gianfranco Costamagna ]
  * remove obsolete lintian overrides.
  * d/p/37-diff_smap_4.patch, cherry-pick upstream patch to fix a kernel
    paging issue (LP: #1437845).

  [ Ritesh Raj Sarraf ]
  * Remove Michael Meskes from uploaders.

 -- Gianfranco Costamagna <email address hidden>  Fri, 20 Mar 2015 12:02:04 +0100

Available diffs

Superseded in utopic-updates on 2015-05-22
Deleted in utopic-proposed on 2015-05-23 (Reason: moved to -updates)
virtualbox (4.3.18-dfsg-2ubuntu2) utopic; urgency=medium

  * d/p/37-fix-virtualbox-hang.patch: fix virtualbox hang
    with kernel >= 3.7 (LP: #1435113)
 -- Gianfranco Costamagna <email address hidden>   Mon, 23 Mar 2015 10:12:42 +0100
Superseded in trusty-updates on 2015-05-22
Deleted in trusty-proposed on 2015-05-23 (Reason: moved to -updates)
virtualbox (4.3.10-dfsg-1ubuntu4) trusty; urgency=medium

  * d/p/37-fix-virtualbox-hang.patch: fix virtualbox hang
    with kernel >= 3.7 (LP: #1435113)
  * Rename fix-3d-not-working.patch to 40-fix-3d-not-working.patch.
 -- Gianfranco Costamagna <email address hidden>   Mon, 23 Mar 2015 10:14:42 +0100
Superseded in vivid-release on 2015-04-10
Deleted in vivid-proposed on 2015-04-11 (Reason: moved to release)
virtualbox (4.3.26-dfsg-1) experimental; urgency=medium


  * Imported upstream release.
   * Conflict with upstream proprietary packages 4.3 series.
     (LP: #1371287, LP: #1375018, LP: #1385931, LP: #1386328, LP: #1421926)

 -- Gianfranco Costamagna <email address hidden>  Tue, 17 Mar 2015 08:36:06 +0100
Superseded in vivid-release on 2015-03-18
Deleted in vivid-proposed on 2015-03-20 (Reason: moved to release)
virtualbox (4.3.24-dfsg-1build1) vivid; urgency=medium

  * Rebuild to pick up new Xserver dependencies
 -- Maarten Lankhorst <email address hidden>   Thu, 12 Mar 2015 07:59:02 +0000
Superseded in vivid-release on 2015-03-12
Deleted in vivid-proposed on 2015-03-14 (Reason: moved to release)
virtualbox (4.3.24-dfsg-1) experimental; urgency=medium


  [ Gianfranco Costamagna ]
  * Imported upstream release (Closes: #779025).
  * Remove d/p/38-remove-hardcoded-gcc.patch, use --with-gcc and
    --with-g++ configure flags.
  * Remove d/p/37-fix-build.patch, merged upstream.

  [ Ritesh Raj Sarraf ]
  * [3bf4cdd] Add back versioned dependency on gcc multilib

 -- Ritesh Raj Sarraf <email address hidden>  Wed, 04 Mar 2015 17:35:40 +0530

Available diffs

Superseded in trusty-updates on 2015-04-29
Deleted in trusty-proposed on 2015-05-01 (Reason: moved to -updates)
virtualbox (4.3.10-dfsg-1ubuntu3) trusty; urgency=medium

  * Cherry-pick upstream commit to fix a 3d graphic acceleration issue.
    fix-3d-not-working.patch
    (LP: #1351376) thanks to Monsta for providing the patch.
 -- Gianfranco Costamagna <email address hidden>   Sun, 08 Feb 2015 14:41:25 +0100
Superseded in vivid-release on 2015-03-06
Deleted in vivid-proposed on 2015-03-07 (Reason: moved to release)
virtualbox (4.3.22-dfsg-1) experimental; urgency=medium


  [ Gianfranco Costamagna ]
  * Imported Upstream release.
  * Update copyright year.
  * d/p/37-fix-build.patch fix build, following upstream change in
    xorg driver build (thanks to Michael Thayer for the hint and
    the help).
  * Remove old patches.
  * d/p/38-remove-hardcoded-gcc.patch use CC and CXX from d/rules
    until virtualbox is gcc-5 ready.

  [ Ritesh Raj Sarraf ]
  * [1413631] Build with gcc 4 only
  * [f34c886] Add versioned dependency on g++-multilib

 -- Ritesh Raj Sarraf <email address hidden>  Sun, 15 Feb 2015 16:56:09 +0530

Available diffs

Superseded in precise-updates on 2015-05-22
Superseded in precise-security on 2015-05-22
virtualbox (4.1.12-dfsg-2ubuntu0.9) precise-security; urgency=medium

  [ Seth Arnold standardizing the changelog entry ]
  * SECURITY UPDATE: multiple flaws (LP: #1413603)
     - debian/patches/CVE-2015-0418.patch
     - debian/patches/CVE-2015-0377.patch
     - CVE-2015-0377
     - CVE-2015-0418

  [ Frank Mehnert ]
  * fix security vulnerabilities (Closes: #775888)
     CVE-2015-0377, CVE-2015-0418
     - debian/patches/CVE-2015-0{377,418}.patch
 -- Gianfranco Costamagna <email address hidden>   Thu, 22 Jan 2015 14:49:47 +0100
Superseded in trusty-updates on 2015-03-12
Superseded in trusty-security on 2015-05-22
virtualbox (4.3.10-dfsg-1ubuntu2) trusty-security; urgency=high

  [ Seth Arnold standardizing the changelog entry ]
  * SECURITY UPDATE: multiple flaws in experimental video code (LP: #1413603)
    - CVE-2014-6595
    - CVE-2014-6590
    - CVE-2014-6589
    - CVE-2014-6588
    - CVE-2015-0427

  [ Frank Mehnert ]
  * d/rules: Disable experimental code by exporting
    VBOX_WITH_VMSVGA= VBOX_WITH_VMSVGA3D=
    this fixes CVE-2014-6595, CVE-2014-6590, CVE-2014-6589,
    CVE-2014-6588 and CVE-2015-0427. (Closes: #775888)
 -- Gianfranco Costamagna <email address hidden>   Thu, 22 Jan 2015 10:51:40 +0100
Superseded in utopic-updates on 2015-04-29
Superseded in utopic-security on 2015-05-22
virtualbox (4.3.18-dfsg-2ubuntu1) utopic-security; urgency=medium

  * SECURITY UPDATE: multiple flaws in experimental video code (LP: #1413603)
    (Standardizing the lower changelog entry. -- Seth Arnold)
    - CVE-2014-6595
    - CVE-2014-6590
    - CVE-2014-6589
    - CVE-2014-6588
    - CVE-2015-0427
 -- Gianfranco Costamagna <email address hidden>   Thu, 22 Jan 2015 14:48:07 +0100
Superseded in trusty-updates on 2015-02-03
Deleted in trusty-proposed on 2015-02-04 (Reason: moved to -updates)
virtualbox (4.3.10-dfsg-1ubuntu1) trusty; urgency=medium

  * Add support for Virtualbox host kernel modules on Linux 3.16
    - 39-add-support-for-linux-3-16.patch (LP: #1411507).
 -- Gianfranco Costamagna <email address hidden>   Mon, 19 Jan 2015 09:48:09 +0100
Superseded in precise-updates on 2015-02-03
Deleted in precise-proposed on 2015-02-04 (Reason: moved to -updates)
virtualbox (4.1.12-dfsg-2ubuntu0.8) precise; urgency=medium

  * Add support for Virtualbox host kernel modules on Linux 3.5
    (LP: #1408939).
 -- Gianfranco Costamagna <email address hidden>   Fri, 09 Jan 2015 11:48:31 +0100
Superseded in precise-updates on 2015-01-28
Deleted in precise-proposed on 2015-01-29 (Reason: moved to -updates)
virtualbox (4.1.12-dfsg-2ubuntu0.7) precise; urgency=low

  * Add support for VirtualBox host kernel modules on Linux 3.13
    (LP: #1292118).
 -- Corey Wright <email address hidden>   Sun, 14 Dec 2014 18:58:12 -0600
Superseded in vivid-release on 2015-02-18
Deleted in vivid-proposed on 2015-02-19 (Reason: moved to release)
virtualbox (4.3.20-dfsg-1) experimental; urgency=medium


  [ Gianfranco Costamagna ]
  * Imported Upstream release.

  [ Ritesh Raj Sarraf ]
  * Flip build dependency to libcurl4-gnutls-dev

 -- Gianfranco Costamagna <email address hidden>  Wed, 03 Dec 2014 09:37:08 +0100

Available diffs

Superseded in vivid-release on 2015-01-07
Published in utopic-release on 2014-10-21
Deleted in utopic-proposed (Reason: moved to release)
virtualbox (4.3.18-dfsg-1) unstable; urgency=medium


  [ Gianfranco Costamagna ]
  * Imported Upstream release.
  * Add myself to uploaders.
  * Patch refresh.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Wrap-and-sort control file.
  * Fix lintian warnings:
    - Remove old hardening-wrapper
    - Remove broken symlinks.

  [ Felix Geyer ]
  * Remove myself from uploaders.

 -- Gianfranco Costamagna <email address hidden>  Fri, 17 Oct 2014 11:54:01 +0200
Superseded in utopic-release on 2014-10-21
Deleted in utopic-proposed on 2014-10-23 (Reason: moved to release)
virtualbox (4.3.14-dfsg-1build1) utopic; urgency=medium

  * Rebuild for xorg 1.16 abi.
 -- Felix Geyer <email address hidden>   Wed, 10 Sep 2014 17:14:42 +0200
Superseded in utopic-release on 2014-09-11
Deleted in utopic-proposed on 2014-09-13 (Reason: moved to release)
virtualbox (4.3.14-dfsg-1) unstable; urgency=medium


  [ Gianfranco Costamagna ]
  * New upstream release (Closes: #754220)
    thanks Mateusz Łukasik for the patch.
  * Rebuild against the new xorg-video-abi-18 (Closes: #755067)
  * Tweak README.source to show how to upgrade the package with
    uscan (Closes: #699141), thanks Dmitry!
  * Removing some binary files from the source tarball,
    spotted by lintian.

 -- Gianfranco Costamagna <email address hidden>  Sat, 26 Jul 2014 15:25:37 +0200

Available diffs

Superseded in utopic-release on 2014-07-31
Deleted in utopic-proposed on 2014-08-01 (Reason: moved to release)
virtualbox (4.3.12-dfsg-1) unstable; urgency=medium


  [ Gianfranco Costamagna ]
  * New upstream release.

 -- Ritesh Raj Sarraf <email address hidden>  Wed, 04 Jun 2014 09:43:11 -0400

Available diffs

Obsolete in saucy-updates on 2015-04-24
Obsolete in saucy-security on 2015-04-24
virtualbox (4.2.16-dfsg-3ubuntu0.1) saucy-security; urgency=medium

  * SECURITY UPDATE: Apply fixes from the January 2014 security advisory
    - debian/patches/38-security-fixes-2014-01.patch: backport upstream fixes
    - CVE-2013-5892, CVE-2014-0407, CVE-2014-0406, CVE-2014-0404
    - LP: #1307725
  * SECURITY UPDATE: Fix memory corruption vulnerabilities in 3D acceleration
    - debian/patches/CVE-2014-0981.patch, debian/patches/CVE-2014-0983.patch:
      backport fixes from version 4.2.24
    - CVE-2014-0981, CVE-2014-0983
 -- Felix Geyer <email address hidden>   Wed, 16 Apr 2014 10:14:18 +0200
Superseded in precise-updates on 2015-01-05
Superseded in precise-security on 2015-02-03
virtualbox (4.1.12-dfsg-2ubuntu0.6) precise-security; urgency=medium

  * SECURITY UPDATE: Virtual graphics device user vulnerability (LP: #1307725)
    - debian/patches/CVE-2013-0420.patch: backport upstream patch
    - CVE-2013-0420
  * SECURITY UPDATE: Apply fixes from the January 2014 security advisory
    - debian/patches/38-security-fixes-2014-01.patch: backport upstream fixes
    - CVE-2013-5892, CVE-2014-0407, CVE-2014-0406, CVE-2014-0404
  * SECURITY UPDATE: Fix memory corruption vulnerabilities in 3D acceleration
    - debian/patches/CVE-2014-0981.patch, debian/patches/CVE-2014-0983.patch:
      backport fixes from version 4.0.24
    - CVE-2014-0981, CVE-2014-0983
 -- Felix Geyer <email address hidden>   Mon, 14 Apr 2014 17:37:39 +0200
Superseded in utopic-release on 2014-06-05
Published in trusty-release on 2014-04-07
Deleted in trusty-proposed (Reason: moved to release)
virtualbox (4.3.10-dfsg-1) unstable; urgency=high


  * New upstream release.
    - Fixes multiple memory corruption vulnerabilities in the 3D acceleration
      code. (Closes: #741602)
      CVE-2014-0981, CVE-2014-0983

  [ Gianfranco Costamagna ]
  * Patch refresh.
  * d/control, enforcing gsoap min required version.

  [ Felix Geyer ]
  * Override embedded-library nspr lintian warning, it's a locally modified
    version.

 -- Felix Geyer <email address hidden>  Sun, 06 Apr 2014 15:31:09 +0200
Superseded in trusty-release on 2014-04-07
Deleted in trusty-proposed on 2014-04-08 (Reason: moved to release)
virtualbox (4.3.6-dfsg-2) unstable; urgency=medium


  * Disable bindnow in hardening-wrapper. This fixes loading the x11 driver.
    (LP: #1280292)

 -- Felix Geyer <email address hidden>  Sat, 15 Feb 2014 11:02:21 +0100
Superseded in trusty-release on 2014-02-16
Deleted in trusty-proposed on 2014-02-17 (Reason: moved to release)
virtualbox (4.3.6-dfsg-1) unstable; urgency=medium


  * New upstream release. (Closes: #733263)
    - Fixes build against Linux 3.13. (Closes: #734340)
    - Fixes several vulnerabilities. (Closes: #735410)
      CVE-2013-5892, CVE-2014-0407, CVE-2014-0406, CVE-2014-0404
  * Drop compatibility with old X11 server packages.
  * Enable hardened build flags using hardening-wrapper. The upstream build
    system ignores the *FLAGS env variables. (Closes: #736459)
  * Refresh 16-no-update.patch.

 -- Felix Geyer <email address hidden>  Mon, 10 Feb 2014 21:41:40 +0100
175 of 122 results